## ros-kinetic-phidgets-imu 0.7.11

=== debian/changelog ===
ros-kinetic-phidgets-imu (0.7.11-1xenial) xenial; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 08 Apr 2021 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.10-1xenial) xenial; urgency=high

  * Update maintainers in package.xml
  * Fix wrong defaults for standard deviations (#46 <https://github.com/ros-drivers/phidgets_drivers/issues/46>)
    The old parameter defaults were wrong:
    | parameter                 | old default                       | new default                        |
    |                           |                                   |                                    |
    | angular_velocity_stdev    | 0.000349056 rad/s (= 0.02 deg/s)  | 0.001658 rad/s    (= 0.095deg/s)   |
    | linear_acceleration_stdev | 0.002943 m/s^2 (= 0.0003 g)       | 0.002745862 m/s^2 (= 0.00028 g)    |
    | magnetic_field_stdev      | 0.001658 rad/s (= 0.095deg/s)     | 1.1e-7 T         (= 1.1 mG)        |
    Notes: T = Tesla, mG = milligauss
    Specifications come from the PhidgetSpatial Precision 3/3/3 1044_0 data sheet: https://www.phidgets.com/?&prodid=32
  * Improve the IMU calibration service (#41 <https://github.com/ros-drivers/phidgets_drivers/issues/41>)
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Push libphidgets API calls down to phidgets_api.
  * IMU: small fixes found by turning on compiler warnings.
  * Completely remove boost from the project.
  * Remove unused tf dependency from phidgets_imu.
  * Switch to package format 2.
  * Cleanup spacing in all of the CMakeLists.txt
  * Contributors: Chris Lalancette, Martin Günther, Michael Grupp

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.9-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.8-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.7-1xenial) xenial; urgency=high

  * Add parameter use_imu_time (default true) (#27 <https://github.com/ros-drivers/phidgets_drivers/issues/27>)
    Setting use_imu_time to false will disable the imu time calibration and
    always use the Host time, i.e. ros::Time::now().
  * Contributors: Jochen Sprickerhof

 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.6-1xenial) xenial; urgency=high

  * phidgets_imu: Ensure strictly ordered timestamps (#26 <https://github.com/ros-drivers/phidgets_drivers/issues/26>)
    Fixes #17 <https://github.com/ros-drivers/phidgets_drivers/issues/17>.
  * Contributors: Michael Grupp, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.5-1xenial) xenial; urgency=high

  * phidgets_imu: Add roslaunch_add_file_check
  * phidgets_imu: Add diagnostic_aggregator dependency
  * phidgets_imu: Add missing install rule for config
  * update to use non deprecated pluginlib macro (#19 <https://github.com/ros-drivers/phidgets_drivers/issues/19>)
  * Contributors: Martin Günther, Mikael Arguedas

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-kinetic-phidgets-imu (0.7.4-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.3-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.2-1xenial) xenial; urgency=high

  * First release into Lunar
  * phidgets_imu: Add use_magnetic_field_msg to launch
    This is required in Jade: Since Jade, phidgets_imu publishes
    MagneticField messages, but imu_filter_madgwick still subscribes by
    default to Vector3Stamped messages. When running as nodelets, this can
    produce a silent error.
    In Kinetic, this is optional: imu_filter_madgwick now defaults to
    MagneticField.
    From Lunar on, it should be removed, because the use_magnetic_field_msg
    param was removed from imu_filter_madgwick.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.1-1xenial) xenial; urgency=high

  * phidgets_imu: add optional serial number parameter (#7 <https://github.com/ros-drivers/phidgets_drivers/issues/7>)
  * phidgets_imu: Add imu_filter_madgwick dependency
    Closes #9 <https://github.com/ros-drivers/phidgets_drivers/issues/9>.
  * Contributors: Johan M. von Behren, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-kinetic-phidgets-imu (0.7.0-1xenial) xenial; urgency=high

  * Publish MagneticField instead of Vector3Stamped
  * Report mag data in Tesla, not Gauss
    This is to conform with sensor_msgs/MagneticField, which requires the
    data to be in Tesla.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-kinetic-phidgets-imu (0.2.3-1xenial) xenial; urgency=high

  * Add IMU diagnostics (#24 <https://github.com/ccny-ros-pkg/phidgets_drivers/pull/24>)
  * Set data rate after reattachment
    This fixes a bug where after disconnecting and reconnecting the USB
    cable, the data rate would be set to the default of 125 Hz (= period of
    8ms). By moving the setDataRate call to the attachHandler, the data rate
    is correctly set after each reattachment.
  * Contributors: Mani Monajjemi, Keshav Iyengar, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-kinetic-phidgets-imu (0.2.2-1xenial) xenial; urgency=high

  * Merge pull request #18 from ccny-ros-pkg/libphidgets
    Merge libphidgets branch into indigo

